$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-loader'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Loader-1.0.19-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Loader-1.0.19-BETA.msi'
  softwareName = 'Invantive Data Loader'
  checksum = '0D06E682DCD1C750BD4A7EDDC3E3C08B6B69FCFE52701DA224C8526AF3422ED3'
  checksumType = 'sha256'
  checksum64 = '0D06E682DCD1C750BD4A7EDDC3E3C08B6B69FCFE52701DA224C8526AF3422ED3'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-loader-1.0.19-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
